Subject: Re: bug#48374: Found a bug, apparently.

From: Merazi <[email-masked]>
Date: Sat, 15 May 2021 00:13:14 +0200 (CEST)

Hello! Thank you for answering,

I tried again today, I did:
guix pull
guix package -u

Guix pull was successful but guix package -u gave me the following warning message:
guix substitute: warning: while fetching https://ci.guix.gnu.org/nar/lzip/zimpk6gqmjrwxc7fnam212kv3a6dwpzz-jsoncpp-1.9.2: server is somewhat slow
guix substitute: warning: try `--no-substitutes' if the problem persists

And then this error message:substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%guix substitute: error: TLS error in procedure 'write_to_session_record_port': Error in the push function.
guix package: error: `/gnu/store/jbm45plkq6fc9ypb05lm3jp6c5v6jvfn-guix-1.2.0-21.4dff6ec/bin/guix substitute' died unexpectedly

I think this is just a network issue, I'll try again later. Thanks again!
May 13, 2021, 15:56 by [email-masked]:

> Hi,
>
> Merazi <[email-masked]> skribis:
>
>> Updating channel 'nonguix' from Git repository at 'https://gitlab.com/nonguix/nonguix'...
>> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
>> Authenticating channel 'guix', commits 9edb3f6 to b7cbca2 (95 new commits)...
>> Building from these channels:
>>   guix      https://git.savannah.gnu.org/git/guix.git b7cbca2
>>   nonguix   https://gitlab.com/nonguix/nonguix 95c8e6e
>>
>
> [...]
>
>>   1. &store-protocol-error:
>>       message: "`/gnu/store/jbm45plkq6fc9ypb05lm3jp6c5v6jvfn-guix-1.2.0-21.4dff6ec/bin/guix substitute' died unexpectedly"
>>       status: 1
>>
>
> This could indicate a poorly handled transient networking error.
> Does the problem persist if you try again?
>
> Thanks,
> Ludo’.
>